Bug 35899 - rpm 4.0.2-6x breaks kpackage
Summary: rpm 4.0.2-6x breaks kpackage
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-13 18:52 UTC by John McHarry
Modified: 2007-04-18 16:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-17 16:14:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John McHarry 2001-04-13 18:52:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


After upgrading to rpm 4.0.2-6x kpackage no longer works.  Clicking on it 
appears to do nothing.

Reproducible: Always
Steps to Reproduce:
1. upgrade to rpm 4.0.2-6x
2. start kde
3. click on kpackage or click on an rpm file in the viewer

	

Actual Results:  nothing

Expected Results:  should have opened kpackage either showing what is 
installed, or showing the rpm selected

This seems consistent across a few machines.  Also, gnorpm no longer seems 
to work.

Comment 1 Gene Willacker 2001-04-17 16:14:10 UTC
When logging out of X, my console has the following text on it, after the 
normal X startup messages:

"kpackage: error in loading shared libraries: /usr/lib/librpmbuild.so.0: 
undefined symbol: rpmGlobalMacroContext"


Comment 2 Jeff Johnson 2001-07-29 16:14:39 UTC
Rebuilding kpackage will fix your problem. The more general
fix, getting a solid ABI into rpmlib so that an upgrade of rpm
doesn't break existing executables is underway, but is gonna
take a while to deploy to Red Hat 6x platforms.


Note You need to log in before you can comment on or make changes to this bug.